org.apache.http.impl.auth

## Class GGSSchemeBase

- java.lang.Object
- - org.apache.http.impl.auth.AuthSchemeBase
  - - org.apache.http.impl.auth.GGSSchemeBase

- All Implemented Interfaces:
    AuthScheme ， ContextAwareAuthScheme
  已知直接子类：
    KerberosScheme ， NegotiateScheme ， SPNegoScheme

      public abstract class GGSSchemeBase
      extends AuthSchemeBase

  从以下版本开始：
    4.2

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.auth.AuthSchemeBase

      `challengeState`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Header` | `authenticate(Credentials credentials, HttpRequest request)` 已过时。 （4.2）使用`ContextAwareAuthScheme.authenticate( Credentials, HttpRequest, org.apache.http.protocol.HttpContext)`
    `Header` | `authenticate(Credentials credentials, HttpRequest request, HttpContext context)` 为给定的一组`Credentials`生成授权字符串。
    `protected byte[]` | `generateGSSToken(byte[] input, Oid oid, String authServer)`
    `protected byte[]` | `generateGSSToken(byte[] input, Oid oid, String authServer, Credentials credentials)`
    `protected byte[]` | `generateToken(byte[] input, String authServer)` 已过时。 （4.4）使用`generateToken(byte[], String, org.apache.http.auth.Credentials)` 。
    `protected byte[]` | `generateToken(byte[] input, String authServer, Credentials credentials)`
    `protected GSSManager` | `getManager()`
    `boolean` | `isComplete()` 认证过程可能涉及一系列质询 - 响应交换。
    `protected void` | `parseChallenge(CharArrayBuffer buffer, int beginIndex, int endIndex)`

    - ### Methods inherited from class org.apache.http.impl.auth.AuthSchemeBase

      `getChallengeState, isProxy, processChallenge, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.auth.AuthScheme

      `getParameter, getRealm, getSchemeName, isConnectionBased`

- - ### 方法详细信息

    - #### getManager

          protected GSSManager getManager()

    - #### generateGSSToken

          protected byte[] generateGSSToken(byte[] input,
                                Oid oid,
                                String authServer)
                                     throws GSSException

      异常
        `GSSException`

    - #### generateGSSToken

          protected byte[] generateGSSToken(byte[] input,
                                Oid oid,
                                String authServer,
                                Credentials credentials)
                                     throws GSSException

      异常
        `GSSException`
      从以下版本开始：
        4.4

    - #### generateToken

          @Deprecated
          protected byte[] generateToken(byte[] input,
                                        String authServer)
                                  throws GSSException

      已过时。 （4.4）使用`generateToken(byte[], String, org.apache.http.auth.Credentials)` 。
      异常
        `GSSException`

    - #### generateToken

          protected byte[] generateToken(byte[] input,
                             String authServer,
                             Credentials credentials)
                                  throws GSSException

      异常
        `GSSException`
      从以下版本开始：
        4.4

    - #### isComplete

          public boolean isComplete()

      描述从接口`AuthScheme`复制
      认证过程可能涉及一系列质询 - 响应交换。 该方法测试授权过程是否已成功或不成功完成，即所有必需的授权挑战都已被完整处理。
      结果
        `true`如果验证过程已经完成， `false`否则。

    - #### authenticate

          @Deprecated
          public Header authenticate(Credentials credentials,
                                       HttpRequest request)
                              throws AuthenticationException

      已过时。 （4.2）使用`ContextAwareAuthScheme.authenticate( Credentials, HttpRequest, org.apache.http.protocol.HttpContext)`
      描述从接口`AuthScheme`复制
      为给定的一组`Credentials`生成一个授权字符串。
      参数
        `credentials` - 要用于认证的一组凭据
        `request` - 请求被认证
      结果
        授权字符串
      异常
        `AuthenticationException` - 如果由于身份验证失败，无法生成授权字符串

    - #### authenticate

          public Header authenticate(Credentials credentials,
                            HttpRequest request,
                            HttpContext context)
                              throws AuthenticationException

      描述从接口`ContextAwareAuthScheme`复制
      为给定的一组`Credentials`生成授权字符串。
      Specified by:
        `authenticate`在接口 `ContextAwareAuthScheme`
      重写：
        `authenticate`在 `AuthSchemeBase`
      参数
        `credentials` - 要用于验证的一组凭据
        `request` - 请求被认证
        `context` - HTTP上下文
      结果
        授权字符串
      异常
        `AuthenticationException` - 如果授权字符串由于身份验证失败而无法生成

    - #### parseChallenge

          protected void parseChallenge(CharArrayBuffer buffer,
                            int beginIndex,
                            int endIndex)
                                 throws MalformedChallengeException

      Specified by:
        `parseChallenge`在 `AuthSchemeBase`类
      异常
        `MalformedChallengeException`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585